%global debug_package %{nil}
%global _hardened_build 1

Summary:    A non-web browser for the terminal
Name:       bombadillo
Version:    2.4.0
Release:    1%{?dist}
License:    GPLv3
URL:        https://tildegit.org/sloum/bombadillo
Source0:    https://tildegit.org/sloum/bombadillo/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  golang >= 1.11

%description
Bombadillo features a full terminal user interface, vim-like keybindings,
document pager, configurable settings, and a robust command selection.

Currently, Bombadillo supports the following protocols as first class citizens:

  - gopher
  - gemini
  - finger
  - local (a user’s file system)

Support for the following protocols is also available via integration with
3rd party applications:

  - telnet
      - Links are opened in a telnet application run as a subprocess.
  - http/https
      - Web support is opt-in (turned off by default).
      - Links can be opened in a user’s default web browser when in a graphical
        environment.
      - Web pages can be rendered directly in Bombadillo if Lynx, w3m, or
        elinks are installed on the system to handle the document parsing.

%prep
%autosetup -n %{name}

%build
%make_build PREFIX=%{_prefix}

%install
%make_install PREFIX=%{_prefix}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man?/%{name}*
%{_datadir}/applications/%{name}*
%{_datadir}/pixmaps/%{name}*

%changelog
* Tue Apr 05 2022 Greg Wildman <greg@techno.co.za> - 2.4.0-1
- Update to new release

* Tue Nov 03 2020 Greg Wildman <greg@techno.co.za> - 2.3.1-2
- Patch gzip command for CentOS 7.

* Sat Aug 08 2020 Greg Wildman <greg@techno.co.za> - 2.3.1-1
- Initial spec.

